curl "https://api.smartcar.com/v2.0/vehicles/{id}/location" \
-H "Authorization: Bearer {token}" \
-X "GET"
location = vehicle.location()
const location = await vehicle.location();
VehicleLocation location = vehicle.location();
location = vehicle.location
{
"latitude": 37.4292,
"longitude": 122.1381
}
Vehicle Data
Location
Returns the vehicle’s last known location.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/location" \
-H "Authorization: Bearer {token}" \
-X "GET"
location = vehicle.location()
const location = await vehicle.location();
VehicleLocation location = vehicle.location();
location = vehicle.location
{
"latitude": 37.4292,
"longitude": 122.1381
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_location
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/location" \
-H "Authorization: Bearer {token}" \
-X "GET"
location = vehicle.location()
const location = await vehicle.location();
VehicleLocation location = vehicle.location();
location = vehicle.location
Response
number
The latitude in degrees.
number
The longitude in degrees.
{
"latitude": 37.4292,
"longitude": 122.1381
}
Was this page helpful?

